import 'package:daniulive/controllers/interfaces/play_controller.dart';
import 'package:daniulive/controllers/interfaces/publish_controller.dart';
import 'package:daniulive/platform_interface.dart';

class NTNativeShare {
  static DaniulivePlatform get instance => DaniulivePlatform.instance;

  static IPublishController? publishController;

  static final playControllers = _PlayControllerMap();
}

class _PlayControllerMap {
  final Map<String, IPlayController> _map = {};
  IPlayController? get(String userId) {
    if (_map.containsKey(userId)) {
      return _map[userId];
    }
    return null;
  }

  void put(String userId, IPlayController controller) {
    _map[userId] = controller;
  }
}
